Submit lease_force_settle block

Consumer resolves an accepted lease the provider never settled: the escrowed cost is refunded and the provider's stake is not returned. Asset must be XUSD. Requires timekeeper attestations whose median is past expiry plus the settle grace plus the force-settle gap, and still inside the escrow-expiry window.

POST
/blocks/lease_force_settle

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://ldn.core.test.network/blocks/lease_force_settle" \  -H "Content-Type: application/json" \  -d '{    "type": "send",    "account": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",    "previous": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",    "balance": 1000000,    "asset": "XE",    "timestamp": 1709500000000000000,    "hash": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3"  }'
{
  "type": "send",
  "account": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
  "previous": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
  "balance": 1000000,
  "asset": "XE",
  "representative": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
  "timestamp": 1709500000000000000,
  "signature": "string",
  "hash": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
  "pow_nonce": 12345,
  "destination": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
  "amount": 1000000,
  "source": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
  "vcpus": 4,
  "memory_mb": 8192,
  "disk_gb": 100,
  "duration": 86400,
  "access_pub_key": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
  "memo": "invoice 4271",
  "certificate_hash": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
  "locked_r": 2000,
  "locked_payout_cap": 0,
  "locked_twap_milli": 0,
  "attestations": [
    {
      "public_key": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
      "timestamp": 0,
      "signature": "string"
    }
  ],
  "keyset": {
    "keys": [
      "a1b2c3d4...",
      "e5f6a7b8...",
      "c9d0e1f2..."
    ],
    "threshold": 2
  },
  "signatures": [
    {
      "public_key": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
      "signature": "string"
    }
  ]
}
{
  "error": "block rejected: previous mismatch: got a1b2c3d4e5f6, want f2a3b4c5d6e7",
  "retryable": false
}
{
  "error": "block rejected: previous mismatch: got a1b2c3d4e5f6, want f2a3b4c5d6e7",
  "retryable": false
}